> This page is for Camera to Cloud.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.frame.io/_mcp/server.

# 하트비트 핑

POST https://api.frame.io/v2/devices/heartbeat

Frame.io에 하트비트 이벤트를 적용합니다. 이 이벤트는 iOS 앱과 웹 앱의 C2C Connections 탭에서 디바이스 "온라인" 상태를 표시하는 데 사용됩니다.

이 호출은 1분에 1회를 초과하거나 5분에 1회 미만으로 수행해서는 안 됩니다.

Reference: https://developer.frame.io/camera-to-cloud/api-reference/device-heartbeat

## Request

### Headers

- `x-client-version` (string, optional, default: 0.0.0) — Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version. For more on semantic versions, see here: https://semver.org/

## Response

### 204

콘텐츠 없음

## Errors

### 401 Unauthorized Error

Unauthorized response

- `code` (integer, optional)
- `errors` (list of HttpErrorErrorsItems, optional)
- `message` (string, optional)

## Types

### HttpErrorErrorsItems

- `code` (integer, optional)
- `detail` (string, optional)
- `status` (integer, optional)
- `title` (string, optional)

## Examples

**SDK Code**

```python
import requests

url = "https://api.frame.io/v2/devices/heartbeat"

headers = {"x-client-version": "2.16.4"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v2/devices/heartbeat';
const options = {method: 'POST', headers: {'x-client-version': '2.16.4'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v2/devices/heartbeat"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-client-version", "2.16.4")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v2/devices/heartbeat")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-client-version"] = '2.16.4'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.frame.io/v2/devices/heartbeat")
  .header("x-client-version", "2.16.4")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.frame.io/v2/devices/heartbeat', [
  'headers' => [
    'x-client-version' => '2.16.4',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v2/devices/heartbeat");
var request = new RestRequest(Method.POST);
request.AddHeader("x-client-version", "2.16.4");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-client-version": "2.16.4"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v2/devices/heartbeat")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```